package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag795;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT795Creator;

public class Tag11rCreator extends AbsTagCreate {
    private MT795Creator mt795Creator;

    public Tag11rCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt795Creator= (MT795Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11aValue = mt795Creator.getMtAndDateoftheOriginalMessage();
        mt795Creator.set("11R", tag11aValue);
    }
}
